﻿@page "/kaska"
@inject NavigationManager NavManager
@inject NavigationManager UriHelper
@using logger.Data
@using Microsoft.AspNetCore.Components.Server.ProtectedBrowserStorage
@inject DataBase DB

<h3>Boksa ķiveres</h3>

@if (Products == null)
{
    <p><em>Loading...</em></p>
}
else
{
  <table>
  


    
    @foreach (var filteredProducts in Products)
      { 
       
         
            
            
              <div class="card" style="width: 80rem; text-align:center; display:inline-block; margin-right:15px;margin-bottom:15px;">
              
              <img src="@filteredProducts.Attels" alt="Boksa ķiveres" style="width:100%">
              <h1>@filteredProducts.Razotajs</h1>
              <h2>@filteredProducts.Modelis</h2>
              <p class="price">@filteredProducts.Cena</p>
              <h2>Preces nurmurs:@filteredProducts.Id</h2>
              <h2> 
                <!DOCTYPE html>
                <html>
                <body>
                  

                  <form action="/action_page.php">
                  <label for="cars">Izvēlies izmēru (Oz):</label>
                  <select @onchange="SelectChanged">
                  <option>S</option> 
                  <option>M</option> 
                  <option>L</option> 
                  <option>XL</option>
                  </select>
                  <br><br>
                  
                </form>
                

                </body>
                </html>
                </h2>
              
              <div class="card" style="width: 30rem; text-align:center;display:inline-block; background-color: #581080; bottom:0;">
              <td><button type="button" style="display:inline-block" class="btn btn-danger btn-sm" @onclick="() => OpenDialog(filteredProducts)">Pievienot Grozam</button></td>
              </div>
              </div> 
          
      }  </table>
}


<!DOCTYPE html>
<html>
<head>
<style>
.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  max-width: 350px;
  margin: auto;
  text-align: center;
  font-family: arial;
}

.price {
  color: grey;
  font-size: 22px;
}

.card button {
  border: none;
  outline: 0;
  padding: 12px;
  color: white;
  background-color: #000;
  text-align: center;
  cursor: pointer;
  width: 100%;
  font-size: 18px;
}

.card button:hover {
  opacity: 0.7;
}
</style>
</head>
<body>





<div class="card" style="width: 100rem; text-align:center;display:center; background-color: #581080; bottom:0;">
    <button @onclick=@prom>Doties uz sākuma lapu</button>

</div>


@code{
  
void prom()
{
       UriHelper.NavigateTo("/");
}
}
</body>
</html>



@if (DialogOpen) {
<BlazorApp.Components.ModalDialog Title="Vai vēlaties pievienot grozam?" Text="Prece tiks pievienota grozam" OnClose="@Dialog"></BlazorApp.Components.ModalDialog>
}
@code {

        private DataBase.Prece[] earnings;
        private DataBase.Prece _earning;
        public bool DialogOpen { get; set;}
  
        public async Task Dialog(bool accepted)
    {
        if (accepted)
        {
         
        await DB.AddProductToCart(_earning.Id); 
        //_earning = null;
        
        
        }

        DialogOpen = false;
        StateHasChanged();
    }
       
        
        public void OpenDialog(DataBase.Prece Id)
        {
          DialogOpen = true;
        _earning = Id;      //<--------- Kāds mainīgais būtu jāliek Id vietā?
          StateHasChanged();
        }
        private async Task LoadData()
    {
        var earnings = await DB.GetPrece();
        StateHasChanged();
    }

        public int InventaraVeids { get; set; }  
        public int Razotajs { get; set; }
        public int Modelis { get; set; }
        public int Cena { get; set; }
        public int Attels { get; set; }

        public int Id { get; set; }
        public int Izmers { get; set; }
        
        private List<DataBase.Prece> Products; 

        
        

protected override async Task OnInitializedAsync()
  {
    
    
      var dbPrece = await DB.GetPrece();

     

     Products = dbPrece.Where(x=> x.InventaraVeids == "Galvas aizsargs").ToList();
     
       
  
  
}
private async Task SelectChanged(ChangeEventArgs e)
    {
        Izmers = int.Parse(e.Value.ToString());
        
    }


 

}



